Bug 735754 - [webadmin] dialogs: widget property (label/widget) with control of validation & visibility
Summary: [webadmin] dialogs: widget property (label/widget) with control of validation...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: m2
: 3.1
Assignee: Vojtech Szocs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-05 09:59 UTC by Asaf Shakarchi
Modified: 2012-08-09 08:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-09 08:00:14 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Asaf Shakarchi 2011-09-05 09:59:07 UTC
- Dialogs: Validation should be propagated to UI
- Widget peroperty should react on validation & visibility events

Comment 1 Vojtech Szocs 2011-09-05 10:11:54 UTC
Need to hook UI to following UiCommon model property change events: "isValid" (validation visual notification), "isChangable" (input widget enabled/disabled) and "isAvailable" (input widget visible/hidden)

Comment 2 Vojtech Szocs 2011-09-05 10:23:39 UTC
Possible option: use EditorContext.asCompositeEditor() within AbstractUiCommonModelEditorDriver, and have our composite editors implement CompositeEditor interface

Comment 3 Vojtech Szocs 2011-09-09 13:59:18 UTC
Patch pushed, git commit hash 864614f2ab6ec92f546ba66c845c552c15a02cb8

Comment 5 Itamar Heim 2012-08-09 08:00:14 UTC
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/


Note You need to log in before you can comment on or make changes to this bug.